summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2016-08-10 17:08:03 +0200
committerMarek Szuba <marecki@gentoo.org>2016-08-10 17:08:03 +0200
commit87bd745747d60801cb9c684ac5ebfd3fd1c185d4 (patch)
treee7f39743937255cd4cbb390a2b325bf9dba35bb0 /dev-python/pyicu
parentmedia-libs/libcdr: Bump to version 0.1.3 (diff)
downloadgentoo-87bd745747d60801cb9c684ac5ebfd3fd1c185d4.tar.gz
gentoo-87bd745747d60801cb9c684ac5ebfd3fd1c185d4.tar.bz2
gentoo-87bd745747d60801cb9c684ac5ebfd3fd1c185d4.zip
dev-python/pyicu: new package
Python bindings for dev-libs/icu. Ebuild based heavily on the one for version 1.9.2 from the jmbsvicetto overlay. Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-python/pyicu')
-rw-r--r--dev-python/pyicu/Manifest1
-rw-r--r--dev-python/pyicu/metadata.xml8
-rw-r--r--dev-python/pyicu/pyicu-1.9.3.ebuild53
3 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/pyicu/Manifest b/dev-python/pyicu/Manifest
new file mode 100644
index 00000000000..f430b7c105d
--- /dev/null
+++ b/dev-python/pyicu/Manifest
@@ -0,0 +1 @@
+DIST PyICU-1.9.3.tar.gz 179514 SHA256 1a7a96212cb3e42e8df85b9062f1f1d6e207474d44f087218fad1d4ec210fa42 SHA512 93720f6fd4131b6cff7fe89996a3851b5993c74859e85de7813883a30152b63a0065b8c51c536cd40417b6e3ccf0ec4e26ed471cec84cd48761a306a35bfd15c WHIRLPOOL 97d5ff9d5a96aa98700c3048104bb79309f3b7a2e6610a03be1a1b06b23be44ffaa6ef9afb548144757421616bf2401fa4bffac6d8759a7718021abfa9fb03d0
diff --git a/dev-python/pyicu/metadata.xml b/dev-python/pyicu/metadata.xml
new file mode 100644
index 00000000000..1aa581a02b8
--- /dev/null
+++ b/dev-python/pyicu/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+ <email>marecki@gentoo.org</email>
+ <name>Marek Szuba</name>
+</maintainer>
+</pkgmetadata>
diff --git a/dev-python/pyicu/pyicu-1.9.3.ebuild b/dev-python/pyicu/pyicu-1.9.3.ebuild
new file mode 100644
index 00000000000..3214426bd3c
--- /dev/null
+++ b/dev-python/pyicu/pyicu-1.9.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+DISTUTILS_IN_SOURCE_BUILD=1 # setup.py applies 2to3 to tests
+
+inherit distutils-r1
+
+MY_PN="PyICU"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python bindings for dev-libs/icu"
+HOMEPAGE="https://github.com/ovalhub/pyicu"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-libs/icu
+"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/epydoc )"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=(CHANGES CREDITS README.md)
+
+python_compile_all() {
+ if use doc; then
+ einfo "Making documentation from ${EPYTHON} build"
+ cd "${BEST_BUILD_DIR}" || die
+ epydoc --html --verbose \
+ --url="${HOMEPAGE}" --name="${MY_P}" \
+ icu.py || die "Making the docs failed!"
+ fi
+}
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use doc; then
+ dohtml -r ../*/html/*
+ fi
+}